## org.apache.aries.subsystem.core.internal
Class SubsystemManifestValidator

    java.lang.Object
      org.apache.aries.subsystem.core.internal.SubsystemManifestValidator

    public class SubsystemManifestValidator

extends Object

Constructor Summary
`SubsystemManifestValidator()`

Method Summary
`static void` `validate(BasicSubsystem subsystem, SubsystemManifest manifest)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubsystemManifestValidator

    public SubsystemManifestValidator()

Method Detail

### validate

    public static void validate(BasicSubsystem subsystem,
                                SubsystemManifest manifest)

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.